--- title: "Update NMS User at Domain" slug: "update-nms-user-at-domain" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:58Z published: 2026-09-23T09:38:58Z canonical: "docs.trellix.com/update-nms-user-at-domain" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update NMS User at Domain This URL updates the NMS user at domain. ## Resource URL PUT /domain/ /nmsuser/ ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domainId | Domain id | Number | Yes | | nmsUserId | Id of the NMS user | Number | Yes | Payload Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | NMSUser | Contains the details of the NMS user | Object | Yes | Details of fields in NMSUser: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | userName | Name of the NMS user | String | Yes | | authenticationKey | Authentication key for the NMS user | String | Yes | | privateKey | Private key for the NMS user | String | Yes | ## Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | status | Set to 1 if the operation was successful, -1 otherwise | Number | ## Example **Request** POST [https:///sdkapi/domain/0/nmsuser/14](https://%3CNSM_IP%3E/sdkapi/domain/0/nmsuser/14) **Payload** ``` {       "userName": "user2",       "authenticationKey": "admin123",       "privateKey": "admin123"    } ``` **Response** ``` {       "status": 1 } ```   ## Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain | | 2 | 400 | 5601 | User name, private key and authorization key are mandatory | | 3 | 400 | 5602 | User name, private key and authorization key should be alphanumeric | | 4 | 400 | 5603 | User name's length should be between 8 and 31 | | 5 | 400 | 5604 | Length of private key and authorization key should be between 8 and 15 | | 6 | 400 | 5605 | User name exists in Sensor | | 7 | 400 | 5606 | User name exists in same or parent domain | | 8 | 400 | 5607 | Maximum users that can be handled by Sensor crossed | | 9 | 400 | 5608 | This feature not supported on Sensor | | 10 | 400 | 5609 | User name cannot be changed | | 11 | 400 | 5610 | This object has been created in some other domain: Cannot be deleted/edited | | 12 | 500 | 3514 | Invalid user id message from backend: Array index out of range: 0 |